%define	module	requests
%define	urllib3_unbundled_version	1.20

Name:		python-%{module}
Version:	2.11.1
Release:	%mkrel 2
Summary:	Python HTTP for Humans
License:	Apache License
Group:		Development/Python
Url:		http://python-requests.org/
Source0:	https://pypi.io/packages/source/r/%{module}/%{module}-%{version}.tar.xz
Patch0:		python-requests-system-cert-bundle.patch
Patch1:		python-requests-remove-nested-bundling-dep.patch
BuildArch:	noarch
Requires:	rootcerts
Requires:   python-urllib3 >= 1.21.1
Requires:   python-chardet >= 2.3.0
Obsoletes:  python-python-requests
Provides:   python-python-requests = %version-%release

%description
Requests allow you to send HTTP/1.1 requests. You can add headers,
form data, multipart files, and parameters with simple Python
dictionaries, and access the response data in the same way. It's
powered by httplib and urllib3, but it does all the hard work and
crazy hacks for you.

%package -n	python3-%{module}
Summary:	HTTP library, written in Python, for human beings
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
Requires:	rootcerts
Requires:   python3-urllib3 >= 1.21.1
Requires:   python3-chardet >= 2.3.0
Obsoletes:  python3-python-requests
Provides:   python3-python-requests = %version-%release


%description -n	python3-%{module}
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

%pre
rm -rf /usr/lib/python2.7/site-packages/requests
rm -rf /usr/lib/python3.4/site-packages/requests

%prep
%setup -q -n %{module}-%{version}
%apply_patches

# Unbundle the certificate bundle from mozilla.
rm -rf requests/cacert.pem

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

#remove
rm -rf %buildroot/%{python2_sitelib}/%{module}/packages/chardet
rm -rf %buildroot/%{python2_sitelib}/%{module}/packages/urllib3
rm -rf %buildroot/%{python3_sitelib}/%{module}/packages/chardet
rm -rf %buildroot/%{python3_sitelib}/%{module}/packages/urllib3


%files
%doc NOTICE LICENSE README.rst HISTORY.rst
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{module}/

%files -n python3-%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/

%posttrans -n python-requests
ln -fs /usr/lib/python2.7/site-packages/urllib3 /usr/lib/python2.7/site-packages/requests/packages/urllib3
ln -fs /usr/lib/python2.7/site-packages/chardet /usr/lib/python2.7/site-packages/requests/packages/chardet

%posttrans -n python3-requests
ln -fs /usr/lib/python3.4/site-packages/urllib3 /usr/lib/python3.4/site-packages/requests/packages/urllib3
ln -fs /usr/lib/python3.4/site-packages/chardet /usr/lib/python3.4/site-packages/requests/packages/chardet


%changelog
* Tue Dec 19 2017 adrianomorselli <adrianomorselli> 2.11.1-1uplos2017
- update
